PATCH/projects/api/v3/custom-exchange-rates/{id}.json

Update a custom exchange rate

Partially update an existing custom exchange rate.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Query Params

  • Name
    fireWebhook
    Type
    boolean
    Description

    when set to false, suppresses the entity-update webhook for this request

    Default
    true

Body Params

UpdateRequest represents the request payload for updating a custom exchange rate (PATCH).

    • Name
      notes
      Type
      string
    • Name
      options
      Type
      object
      Description
      Options has options for events related to requests.
    • Name
      rate
      Type
      number
    • Name
      validFrom
      Type
      string
    • Name
      validTo
      Type
      string
      Description
      Can be null to clear

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      CustomExchangeRateResponse represents a single custom exchange rate response.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Type
      object
      Schema
      Description
      404 Not Found
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      409
      Type
      object
      Schema
      Description
      409 Conflict
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      422
      Type
      object
      Schema
      Description
      422 Unprocessable Entity
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    CustomExchangeRateResponse
    {
      "customExchangeRate": {
        "createdAt": "string",
        "createdBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "fromCurrency": "string",
        "id": 0,
        "notes": "string",
        "rate": 0,
        "toCurrency": "string",
        "updatedAt": "string",
        "updatedBy": {
          "id": 0,
          "meta": {},
          "type": "string"
        },
        "validFrom": "2026-06-10",
        "validTo": "2026-06-10"
      }
    }